Skip to main content
GET
List Sessions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

Query Parameters

page
integer
default:1
page_size
integer
default:10
to_date
string | null
from_date
string | null
test_list
string | null
test_run_id
string | null
prompt_name
string | null
review_queue_id
string | null

Response

200 - application/json

The type of parameterized generics.

That is, for example, type(List[int]) is _GenericAlias.

Objects which are instances of this class include:

  • Parameterized container types, e.g. Tuple[int], List[int].
  • Note that native container types, e.g. tuple, list, use types.GenericAlias instead.
  • Parameterized classes: class C[T]: pass

    C[int] is a _GenericAlias

  • Callable aliases, generic Callable aliases, and parameterized Callable aliases: T = TypeVar('T')

    _CallableGenericAlias inherits from _GenericAlias.

    A = Callable[[], None] # _CallableGenericAlias B = Callable[[T], None] # _CallableGenericAlias C = B[int] # _CallableGenericAlias
  • Parameterized Final, ClassVar, TypeForm, TypeGuard, and TypeIs:

    All _GenericAlias

    Final[int] ClassVar[float] TypeForm[bytearray] TypeGuard[bool] TypeIs[range]

Note that instances of this class are not classes (e.g by inspect.isclass), even though they behave like them.

session_id
string<uuid>
required
start_time
string
required
custom_metadata
Custom Metadata · object
required
messages
SessionCompletionInfo · object[]
required